package com.lz.modules.luck.entity;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*奖品表
* @author quyixiao
* @since 2020-08-21
*/


@Data
public class LuckGoodsReq implements java.io.Serializable {
  

    private Long id;

    //奖品名称
    private String name;
    //权重
    private Integer weight;
    //数量
    private Integer counts;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 奖品名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 奖品名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 权重 
     * @return
     */
    public Integer getWeight() {
        return weight;
    }
    /**
     * 权重 
     * @param weight
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }



    /**
     * 数量 
     * @return
     */
    public Integer getCounts() {
        return counts;
    }
    /**
     * 数量 
     * @param counts
     */
    public void setCounts(Integer counts) {
        this.counts = counts;
    }

    @Override
    public String toString() {
        return "LuckGoods{" +
                ",id=" + id +
                ",name=" + name +
                ",weight=" + weight +
                ",counts=" + counts +
                "}";
    }
}